import { l as s, a as D, c as G } from "./colors-BY0Ja_bf.js";
const U = {
  none: "0",
  thin: "1px",
  default: "1.5px",
  medium: "2px",
  thick: "3px"
};
function b(a) {
  return `--border-width-${a}`;
}
function qa(a) {
  return `var(${b(a)})`;
}
function Q() {
  const a = {};
  return s(U).forEach(([n, e]) => {
    a[b(n)] = e;
  }), a;
}
const Z = {
  none: "0",
  default: "1px",
  focus: "2px"
};
function h(a) {
  return `--outline-width-${a}`;
}
function Ja(a) {
  return `var(${h(a)})`;
}
function q() {
  const a = {};
  return s(Z).forEach(([n, e]) => {
    a[h(n)] = e;
  }), a;
}
const v = {
  sm: "40rem",
  // 640px
  md: "48rem",
  // 768px
  lg: "64rem",
  // 1024px
  xl: "80rem",
  // 1280px
  "2xl": "96rem"
  // 1536px
};
function V(a) {
  return `--breakpoint-${a}`;
}
function Ka(a) {
  return `var(${V(a)})`;
}
function Xa(a) {
  return `@media (width >= ${v[a]})`;
}
function J() {
  const a = {};
  return s(v).forEach(([n, e]) => {
    a[V(n)] = e;
  }), a;
}
const K = {
  xs: "calc(var(--spacing-base) * 7)",
  sm: "calc(var(--spacing-base) * 8)",
  md: "calc(var(--spacing-base) * 10)",
  lg: "calc(var(--spacing-base) * 12)",
  xl: "calc(var(--spacing-base) * 14)"
};
function S(a) {
  return `--control-height-${a}`;
}
function Ya(a) {
  return `var(${S(a)})`;
}
function X() {
  const a = {};
  return s(K).forEach(([n, e]) => {
    a[S(n)] = e;
  }), a;
}
const Y = {
  xs: "var(--spacing-xs)",
  sm: "var(--spacing-sm)",
  md: "var(--spacing-md)",
  lg: "var(--spacing-mdh)",
  xl: "var(--spacing-lg)"
};
function $(a) {
  return `--control-padding-block-${a}`;
}
function _a(a) {
  return `var(${$(a)})`;
}
const _ = {
  xs: "var(--spacing-md)",
  sm: "var(--spacing-mdh)",
  md: "var(--spacing-lg)",
  lg: "var(--spacing-lgh)",
  xl: "var(--spacing-xl)"
};
function w(a) {
  return `--control-padding-inline-${a}`;
}
function an(a) {
  return `var(${w(a)})`;
}
function aa() {
  const a = {};
  return s(Y).forEach(([n, e]) => {
    a[$(n)] = e;
  }), s(_).forEach(([n, e]) => {
    a[w(n)] = e;
  }), a;
}
const na = {
  xs: "var(--spacing-xs)",
  sm: "var(--spacing-sm)",
  md: "var(--spacing-smh)",
  lg: "var(--spacing-md)",
  xl: "var(--spacing-mdh)"
};
function z(a) {
  return `--control-gap-${a}`;
}
function nn(a) {
  return `var(${z(a)})`;
}
function ea() {
  const a = {};
  return s(na).forEach(([n, e]) => {
    a[z(n)] = e;
  }), a;
}
const ta = {
  xs: "min(20rem, 90vw)",
  sm: "min(25rem, 90vw)",
  md: "min(37.5rem, 90vw)",
  lg: "min(50rem, 90vw)",
  xl: "min(62.5rem, 90vw)",
  "min-width": "12rem"
};
function y(a) {
  return `--overlay-width-${a}`;
}
function en(a) {
  return `var(${y(a)})`;
}
function ra() {
  const a = {};
  return s(ta).forEach(([n, e]) => {
    a[y(n)] = e;
  }), a;
}
function sa() {
  return {
    ...X(),
    ...aa(),
    ...ea(),
    ...ra()
  };
}
const N = {
  none: "0",
  xs: "var(--spacing-xs)",
  sm: "var(--spacing-sm)",
  md: "var(--spacing-smh)",
  lg: "var(--spacing-md)",
  xl: "var(--spacing-mdh)",
  full: "9999px"
};
function E(a) {
  return `--radius-${a}`;
}
function i(a) {
  return `var(${E(a)})`;
}
function tn(a) {
  return `@media (width >= ${N[a]})`;
}
function ia() {
  const a = {};
  return s(N).forEach(([n, e]) => {
    a[E(n)] = e;
  }), a;
}
const rn = [
  "control",
  "control-sm",
  "control-xs",
  "button",
  "surface",
  "overlay",
  "popover",
  "pill",
  "focus"
], oa = {
  control: i("md"),
  "control-sm": i("sm"),
  "control-xs": i("xs"),
  button: i("md"),
  surface: i("lg"),
  overlay: i("lg"),
  popover: i("md"),
  pill: i("full"),
  focus: i("sm")
};
function ca(a) {
  return `--radius-${a}`;
}
function la(a) {
  const n = {}, e = { ...oa, ...a };
  return s(e).forEach(([t, r]) => {
    n[ca(t)] = r;
  }), n;
}
const ga = "0.25rem", ua = {
  none: "0",
  px: "1px",
  base: ga,
  xs: "calc(var(--spacing-base) / 2)",
  sm: "var(--spacing-base)",
  smh: "calc(var(--spacing-base) * 1.5)",
  md: "calc(var(--spacing-base) * 2)",
  mdh: "calc(var(--spacing-base) * 3)",
  lg: "calc(var(--spacing-base) * 4)",
  lgh: "calc(var(--spacing-base) * 5)",
  xl: "calc(var(--spacing-base) * 6)",
  "2xl": "calc(var(--spacing-base) * 8)",
  "2xlh": "calc(var(--spacing-base) * 10)",
  "3xl": "calc(var(--spacing-base) * 12)",
  "4xl": "calc(var(--spacing-base) * 16)",
  full: "2000px"
};
function k(a) {
  return `--spacing-${a}`;
}
function sn(a) {
  return `var(${k(a)})`;
}
function pa() {
  const a = {};
  return s(ua).forEach(([n, e]) => {
    a[k(n)] = e;
  }), a;
}
const on = [
  "stack-2xs",
  "stack-xs",
  "stack-sm",
  "stack-md",
  "stack-lg",
  "stack-xl"
], ma = {
  "stack-2xs": "var(--spacing-xs)",
  "stack-xs": "var(--spacing-sm)",
  "stack-sm": "var(--spacing-md)",
  "stack-md": "var(--spacing-mdh)",
  "stack-lg": "var(--spacing-lg)",
  "stack-xl": "var(--spacing-xl)"
};
function fa(a) {
  return `--spacing-${a}`;
}
function xa(a) {
  const n = {}, e = { ...ma, ...a };
  return s(e).forEach(([t, r]) => {
    n[fa(t)] = r;
  }), n;
}
const da = {
  none: "none",
  "2xs": "0 1px rgb(0 0 0 / 0.05)",
  xs: "0 1px 2px 0 rgb(0 0 0 / 0.05)",
  sm: "0 1px 3px 0 rgb(0 0 0 / 0.1), 0 1px 2px -1px rgb(0 0 0 / 0.1)",
  md: "0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1)",
  lg: "0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1)",
  xl: "0 20px 25px -5px rgb(0 0 0 / 0.1), 0 8px 10px -6px rgb(0 0 0 / 0.1)",
  "2xl": "0 25px 50px -12px rgb(0 0 0 / 0.25)",
  "top-2xs": "0 -1px rgb(0 0 0 / 0.05)",
  "top-xs": "0 -1px 2px 0 rgb(0 0 0 / 0.05)",
  "top-sm": "0 -1px 3px 0 rgb(0 0 0 / 0.1), 0 1px 2px -1px rgb(0 0 0 / 0.1)",
  "top-md": "0 -4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1)",
  "top-lg": "0 -10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1)",
  "top-xl": "0 -20px 25px -5px rgb(0 0 0 / 0.1), 0 8px 10px -6px rgb(0 0 0 / 0.1)",
  "top-2xl": "0 -25px 50px -12px rgb(0 0 0 / 0.25)"
};
function F(a) {
  return `--shadow-${a}`;
}
function g(a) {
  return `var(${F(a)})`;
}
function ba() {
  const a = {};
  return s(da).forEach(([n, e]) => {
    a[F(n)] = e;
  }), a;
}
const cn = [
  "surface",
  "surface-elevated",
  "popover",
  "overlay",
  "button"
], ha = {
  surface: g("sm"),
  "surface-elevated": g("md"),
  popover: g("lg"),
  overlay: g("xl"),
  button: g("xs")
};
function va(a) {
  return `--shadow-${a}`;
}
function Va(a) {
  const n = {}, e = { ...ha, ...a };
  return s(e).forEach(([t, r]) => {
    n[va(t)] = r;
  }), n;
}
const Sa = "1rem", H = {
  "3xs": [
    "calc(var(--font-size-base) * 0.5)",
    { lineHeight: "calc(var(--font-size-base) * 0.75)" }
  ],
  // 8px
  "2xs": [
    "calc(var(--font-size-base) * 0.625)",
    { lineHeight: "calc(var(--font-size-base) * 0.75)" }
  ],
  // 10px
  xs: [
    "calc(var(--font-size-base) * 0.75)",
    { lineHeight: "var(--font-size-base)" }
  ],
  // 12px
  sm: [
    "calc(var(--font-size-base) * 0.875)",
    { lineHeight: "calc(var(--font-size-base) * 1.25)" }
  ],
  // 14px
  md: [
    "var(--font-size-base)",
    { lineHeight: "calc(var(--font-size-base) * 1.5)" }
  ],
  // 16px
  lg: [
    "calc(var(--font-size-base) * 1.125)",
    { lineHeight: "calc(var(--font-size-base) * 1.75)" }
  ],
  // 18px
  xl: [
    "calc(var(--font-size-base) * 1.25)",
    { lineHeight: "calc(var(--font-size-base) * 1.75)" }
  ],
  // 20px
  "2xl": [
    "calc(var(--font-size-base) * 1.5)",
    { lineHeight: "calc(var(--font-size-base) * 2)" }
  ],
  // 24px
  "3xl": [
    "calc(var(--font-size-base) * 1.875)",
    { lineHeight: "calc(var(--font-size-base) * 2.25)" }
  ],
  // 30px
  "4xl": [
    "calc(var(--font-size-base) * 2.25)",
    { lineHeight: "calc(var(--font-size-base) * 2.5)" }
  ],
  // 36px
  "5xl": ["calc(var(--font-size-base) * 3)", { lineHeight: "1" }],
  // 48px
  "6xl": ["calc(var(--font-size-base) * 3.75)", { lineHeight: "1" }],
  // 60px
  "7xl": ["calc(var(--font-size-base) * 4.5)", { lineHeight: "1" }],
  // 72px
  "8xl": ["calc(var(--font-size-base) * 6)", { lineHeight: "1" }],
  // 96px
  "9xl": ["calc(var(--font-size-base) * 8)", { lineHeight: "1" }]
  // 128px
};
function ln(a, n) {
  const e = Object.keys(H), t = e.indexOf(a);
  if (t === -1)
    throw new Error(`Invalid font size: ${a}`);
  const r = Math.min(Math.max(t + n, 0), e.length - 1);
  return e[r];
}
const $a = {
  thin: "100",
  extralight: "200",
  light: "300",
  normal: "400",
  medium: "500",
  semibold: "600",
  bold: "700",
  extrabold: "800",
  black: "900"
}, wa = {
  none: "1",
  tight: "1.25",
  snug: "1.375",
  normal: "1.5",
  relaxed: "1.625",
  loose: "2"
}, za = {
  tighter: "-0.05em",
  tight: "-0.025em",
  normal: "0em",
  wide: "0.025em",
  wider: "0.05em",
  widest: "0.1em"
}, ya = {
  sans: [
    "system-ui",
    "-apple-system",
    "BlinkMacSystemFont",
    '"Segoe UI"',
    "Roboto",
    '"Helvetica Neue"',
    "Arial",
    '"Noto Sans"',
    "sans-serif",
    '"Apple Color Emoji"',
    '"Segoe UI Emoji"',
    '"Segoe UI Symbol"',
    '"Noto Color Emoji"'
  ],
  serif: [
    "ui-serif",
    "Georgia",
    "Cambria",
    '"Times New Roman"',
    "Times",
    "serif"
  ],
  mono: [
    "ui-monospace",
    "SFMono-Regular",
    '"SF Mono"',
    "Consolas",
    '"Liberation Mono"',
    "Menlo",
    "monospace"
  ]
};
function O(a) {
  return Array.isArray(a) ? a.join(", ") : a;
}
const gn = [
  "body",
  "heading",
  "display",
  "mono",
  "ui",
  "prose"
], Na = {
  body: o("sans"),
  heading: o("sans"),
  display: o("sans"),
  mono: o("mono"),
  ui: o("sans"),
  prose: o("serif")
};
function C(a) {
  return `--font-size-${a}`;
}
function un(a) {
  return `var(${C(a)})`;
}
function M() {
  return "--font-size-base";
}
function pn() {
  return `var(${M()})`;
}
function T(a) {
  return `--font-size-${a}-lh`;
}
function mn(a) {
  return `var(${T(a)})`;
}
function B(a) {
  return `--font-weight-${a}`;
}
function fn(a) {
  return `var(${B(a)})`;
}
function j(a) {
  return `--line-height-${a}`;
}
function xn(a) {
  return `var(${j(a)})`;
}
function W(a) {
  return `--letter-spacing-${a}`;
}
function dn(a) {
  return `var(${W(a)})`;
}
function f(a) {
  return `--font-family-${a}`;
}
function o(a) {
  return `var(${f(a)})`;
}
function I(a) {
  return `--font-${a}`;
}
function c(a) {
  return `var(${I(a)})`;
}
function Ea() {
  const a = {};
  return a[M()] = Sa, Object.entries(H).forEach(([n, e]) => {
    const [t, r] = Array.isArray(e) ? e : [e, void 0];
    a[C(n)] = t, r && typeof r == "object" && "lineHeight" in r && (a[T(n)] = r.lineHeight);
  }), Object.entries($a).forEach(([n, e]) => {
    a[B(n)] = e;
  }), Object.entries(wa).forEach(([n, e]) => {
    a[j(n)] = e;
  }), Object.entries(za).forEach(([n, e]) => {
    a[W(n)] = e;
  }), Object.entries(ya).forEach(([n, e]) => {
    const t = O(e);
    a[f(n)] = t, a[`--font-${n}`] = t;
  }), a;
}
function bn(a) {
  if (!a)
    return {};
  const n = {};
  return Object.entries(a).forEach(([e, t]) => {
    if (t == null)
      return;
    const r = O(t);
    n[f(e)] = r, n[`--font-${e}`] = r;
  }), n;
}
function ka(a) {
  const n = {}, e = { ...Na, ...a };
  return Object.entries(e).forEach(([t, r]) => {
    n[I(t)] = r;
  }), n["--font-family-default"] = c("body"), n["--font-family-default-heading"] = c("heading"), n["--font-family-default-display"] = c("display"), n["--font-family-default-ui"] = c("ui"), n["--font-family-default-prose"] = c("prose"), n["--font-family-default-mono"] = c("mono"), n;
}
const Fa = {
  // Base layers
  base: 0,
  raised: 10,
  // Navigation and layout
  navigation: 20,
  sidebar: 20,
  // Overlays and modals
  overlay: 50,
  modal: 60,
  // Tooltips and popovers
  tooltip: 70,
  popover: 80,
  // Notifications and alerts
  notification: 90,
  // Maximum priority
  maximum: 100
};
function R(a) {
  return `--z-index-${a}`;
}
function hn(a) {
  return `var(${R(a)})`;
}
function Ha() {
  const a = {};
  return s(Fa).forEach(([n, e]) => {
    a[R(n)] = e.toString();
  }), a;
}
const Oa = "200ms", Ca = {
  instant: "0s",
  fast: "calc(var(--motion-duration-base) * 0.6)",
  base: Oa,
  slow: "calc(var(--motion-duration-base) * 1.6)",
  relaxed: "calc(var(--motion-duration-base) * 2.4)"
}, Ma = {
  standard: "cubic-bezier(0.2, 0, 0, 1)",
  emphasized: "cubic-bezier(0.33, 1, 0.68, 1)",
  entrance: "cubic-bezier(0, 0, 0.2, 1)",
  exit: "cubic-bezier(0.8, 0, 0.6, 1)"
};
function P(a) {
  return `--motion-duration-${a}`;
}
function u(a) {
  return `var(${P(a)})`;
}
function Ta() {
  return "--motion-duration-base";
}
function vn() {
  return `var(${Ta()})`;
}
function A(a) {
  return `--motion-easing-${a}`;
}
function p(a) {
  return `var(${A(a)})`;
}
function Ba() {
  const a = {};
  return s(Ca).forEach(([n, e]) => {
    a[P(n)] = e;
  }), s(Ma).forEach(([n, e]) => {
    a[A(n)] = e;
  }), a;
}
const Vn = [
  "transition-fast",
  "transition-medium",
  "transition-slow",
  "transition-overlay",
  "transition-emphasis",
  "easing-standard",
  "easing-emphasis",
  "easing-entrance",
  "easing-exit"
], ja = {
  "transition-fast": u("fast"),
  "transition-medium": u("base"),
  "transition-slow": u("slow"),
  "transition-overlay": u("relaxed"),
  "transition-emphasis": u("fast"),
  "easing-standard": p("standard"),
  "easing-emphasis": p("emphasized"),
  "easing-entrance": p("entrance"),
  "easing-exit": p("exit")
};
function Wa(a) {
  return `--motion-${a}`;
}
function Ia(a) {
  const n = {}, e = { ...ja, ...a };
  return s(e).forEach(([t, r]) => {
    const l = Wa(t);
    r !== `var(${l})` && (n[l] = r);
  }), n;
}
const Ra = {
  none: "none",
  "2xs": "0px 1px 0px rgb(0 0 0 / 0.15)",
  xs: "0px 1px 1px rgb(0 0 0 / 0.2)",
  sm: "0px 1px 0px rgb(0 0 0 / 0.075), 0px 1px 1px rgb(0 0 0 / 0.075), 0px 2px 2px rgb(0 0 0 / 0.075)",
  md: "0px 1px 1px rgb(0 0 0 / 0.1), 0px 1px 2px rgb(0 0 0 / 0.1), 0px 2px 4px rgb(0 0 0 / 0.1)",
  lg: "0px 1px 2px rgb(0 0 0 / 0.1), 0px 3px 2px rgb(0 0 0 / 0.1), 0px 4px 8px rgb(0 0 0 / 0.1)"
}, Sn = [
  "button-filled",
  "button-light",
  "button-default"
], Pa = {
  "button-filled": m("sm"),
  "button-light": m("xs"),
  "button-default": m("2xs")
};
function L(a) {
  return `--text-shadow-${a}`;
}
function m(a) {
  return `var(${L(a)})`;
}
function Aa() {
  const a = {};
  return s(Ra).forEach(([n, e]) => {
    a[L(n)] = e;
  }), a;
}
function La(a) {
  return `--text-shadow-${a}`;
}
function Da(a) {
  const n = {}, e = { ...Pa, ...a };
  return s(e).forEach(([t, r]) => {
    n[La(t)] = r;
  }), n;
}
function Ga() {
  return {
    ...D(),
    ...pa(),
    ...Ea(),
    ...J(),
    ...ia(),
    ...ba(),
    ...Ba(),
    ...Aa(),
    ...Ha(),
    ...Q(),
    ...q(),
    ...sa()
  };
}
function Ua(a) {
  return typeof a == "object" && a !== null && ("colors" in a || "fonts" in a || "radii" in a || "shadows" in a || "motion" in a || "spacing" in a || "textShadows" in a);
}
function Qa(a) {
  let n, e, t, r, l, x, d;
  return Ua(a) ? (n = a.colors, e = a.fonts, t = a.radii, r = a.shadows, l = a.motion, x = a.spacing, d = a.textShadows) : n = a, {
    ...G(n),
    ...ka(e),
    ...la(t),
    ...Va(r),
    ...Ia(l),
    ...xa(x),
    ...Da(d)
  };
}
function $n() {
  return {
    ...Ga(),
    ...Qa()
  };
}
function wn(a, n) {
  return n == null && typeof window > "u" ? "" : getComputedStyle(n ?? document.documentElement).getPropertyValue(a).trim();
}
export {
  S as $,
  Ga as A,
  Ba as B,
  q as C,
  ra as D,
  ia as E,
  ka as F,
  Ia as G,
  la as H,
  Va as I,
  xa as J,
  Da as K,
  ba as L,
  pa as M,
  Aa as N,
  Ea as O,
  Ha as P,
  pn as Q,
  vn as R,
  Ta as S,
  qa as T,
  b as U,
  Xa as V,
  Ka as W,
  V as X,
  nn as Y,
  z as Z,
  Ya as _,
  bn as a,
  _a as a0,
  $ as a1,
  an as a2,
  w as a3,
  o as a4,
  f as a5,
  mn as a6,
  T as a7,
  un as a8,
  C as a9,
  L as aA,
  wn as aB,
  hn as aC,
  R as aD,
  za as aE,
  wa as aF,
  Ca as aG,
  Ma as aH,
  Z as aI,
  ta as aJ,
  N as aK,
  gn as aL,
  Vn as aM,
  rn as aN,
  cn as aO,
  on as aP,
  Sn as aQ,
  da as aR,
  ua as aS,
  Ra as aT,
  Fa as aU,
  fn as aa,
  B as ab,
  dn as ac,
  W as ad,
  xn as ae,
  j as af,
  u as ag,
  p as ah,
  A as ai,
  Ja as aj,
  h as ak,
  en as al,
  y as am,
  tn as an,
  E as ao,
  c as ap,
  I as aq,
  Wa as ar,
  ca as as,
  va as at,
  fa as au,
  La as av,
  g as aw,
  F as ax,
  sn as ay,
  m as az,
  k as b,
  M as c,
  P as d,
  i as e,
  Sa as f,
  Qa as g,
  Oa as h,
  ga as i,
  U as j,
  v as k,
  ln as l,
  na as m,
  K as n,
  Y as o,
  _ as p,
  ya as q,
  H as r,
  $a as s,
  $n as t,
  Q as u,
  J as v,
  ea as w,
  X as x,
  aa as y,
  sa as z
};
